accessible/public/nsIAccessibleValue.idl
author Gervase Markham <gerv@gerv.net>
Mon, 21 May 2012 12:12:37 +0100
changeset 96742 f4157e8c410708d76703f19e4dfb61859bfe32d8
parent 24562 e2a835161553596ce0aafcde67fce82e430df032
permissions -rw-r--r--
Bug 716478 - update licence to MPL 2.

/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#include "nsISupports.idl"

[scriptable, uuid(42a1e1dc-58cf-419d-bff0-ed3314c70016)]
interface nsIAccessibleValue : nsISupports
{
  readonly attribute double maximumValue;
  readonly attribute double minimumValue;
  attribute double currentValue;
  readonly attribute double minimumIncrement;
};

/*
 Assumptions:

 The attribute currentValue will throw an exception
 if it cannot be set i.e. if the value is not a
 member of the interval.
 This may not be the 'desired' behaviour given gObject
 equivalent. Thus it could be changed to be:

 readonly attribute double currentValue;
 boolean setCurrentValue (double long value);

 GValue can represent many basic types.
 Since this interface is designed to represent
 an interval and a member of double should
 cover the cases of char int and float.

*/